package leigh.astro.unit;

import leigh.mecha.log.MechaLogger;
import leigh.mecha.log.MechaLoggerFactory;
import org.junit.Test;

import static junit.framework.TestCase.assertEquals;

public class DegreesMinutesSecondsTest {
    private static final MechaLogger logger = MechaLoggerFactory.getLogger(DegreesMinutesSecondsTest.class);

    @Test
    public void testDms() {
        DegreesMinutesSeconds dms = new DegreesMinutesSeconds(180);
        assertEquals(180.0, dms.getDegrees());
        assertEquals(0.0, dms.getMinutes());
        assertEquals(0.0, dms.getSeconds());

        logger.info("dms: {}", dms);
    }
}
